Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155465 - Note needed about upgrading of mod_perl
Summary: Note needed about upgrading of mod_perl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Wade
QA Contact: Tammy Fox
URL: http://fedoraproject.org/wiki/FedoraD...
Whiteboard:
Depends On:
Blocks: fc-relnotes-traqr
TreeView+ depends on / blocked
 
Reported: 2005-04-20 16:26 UTC by Jose Pedro Oliveira
Modified: 2007-04-18 17:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 11:57:53 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2005-04-20 16:26:57 UTC
Description of problem, and enhancement request:

This week mod_perl was updated to the latest version (2.0.0 RC5).
The main problem is that this version is incompatible with
all previous versions: several perl modules were renamed
from Apache:: to Apache2::.  This will break every application
that depends on mod_perl.

A warning about this problem should be added to the FC4 release notes.


Version of release notes this bug refers to:
FC4test3 with mod_perl-2.0.0rc5

URL of bug/enhancement (change if different):
More information on the problem:
http://search.cpan.org/~geoff/mod_perl-2.0.0-RC5/Changes

Comment 1 Joe Orton 2005-04-26 12:17:48 UTC
Suggested text to add to the "Web server" section:

mod_perl

The "RC5" release of mod_perl 2.0 is now included; the API provided by this
release is incompatible with previous 1.99_xx releases.  Please see the
following document for discussion of how to adapt code to use the new API:
 
   http://perl.apache.org/docs/2.0/rename.html   


Comment 2 Karsten Wade 2005-05-04 11:57:53 UTC
Included in relnotes for FC3test3.


Note You need to log in before you can comment on or make changes to this bug.